Package com.usatiuk.dhfs.invalidation

# Interface OpExtractor<T extends JData>

All Known Implementing Classes:
  `JKleppmannTreeOpExtractor`, `RemoteObjectMetaOpExtractor`

public interface OpExtractor<T extends JData>

## Method Summary

Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
`extractOps(T data, PeerId peerId)`

## Method Details

### extractOps

org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable> extractOps(T data, PeerId peerId)